aboutsummaryrefslogtreecommitdiffstats
path: root/testing/at-spi2-atk/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2012-09-30 11:23:21 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2012-09-30 11:23:21 +0000
commit84abfd0b6c71d4ee885f08dd424880fca5fd3f54 (patch)
tree34b3ac9943df649f13bfffc4e971f8541f1b5777 /testing/at-spi2-atk/APKBUILD
parentef1c6e221230fe3b18314283ddb1587eb8aaba1e (diff)
downloadaports-84abfd0b6c71d4ee885f08dd424880fca5fd3f54.tar.gz
aports-84abfd0b6c71d4ee885f08dd424880fca5fd3f54.tar.bz2
aports-84abfd0b6c71d4ee885f08dd424880fca5fd3f54.tar.xz
testing/at-spi2-atk: new aport
A GTK+ module that bridges ATK to D-Bus at-spi http://www.linuxfoundation.org/en/AT-SPI_on_D-Bus
Diffstat (limited to 'testing/at-spi2-atk/APKBUILD')
-rw-r--r--testing/at-spi2-atk/APKBUILD45
1 files changed, 45 insertions, 0 deletions
diff --git a/testing/at-spi2-atk/APKBUILD b/testing/at-spi2-atk/APKBUILD
new file mode 100644
index 0000000000..69c4ed2d12
--- /dev/null
+++ b/testing/at-spi2-atk/APKBUILD
@@ -0,0 +1,45 @@
+# Contributor: Natanael Copa <ncopa@alpinelinux.org>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=at-spi2-atk
+pkgver=2.6.0
+pkgrel=0
+pkgdesc="A GTK+ module that bridges ATK to D-Bus at-spi"
+url="http://www.linuxfoundation.org/en/AT-SPI_on_D-Bus"
+arch="all"
+license="LGPLv2+"
+depends=""
+depends_dev="glib-dev dbus-dev atk-dev at-spi2-core-dev"
+makedepends="$depends_dev intltool"
+install=""
+subpackages="$pkgname-dev"
+source="http://download.gnome.org/sources/at-spi2-atk/${pkgver%.*}/at-spi2-atk-$pkgver.tar.xz"
+
+_builddir="$srcdir"/at-spi2-atk-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --localstatedir=/var \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir"/usr/lib -name '*.la' -delete
+}
+
+md5sums="1597e1f88778611be18d8710ac95787d at-spi2-atk-2.6.0.tar.xz"